Upstash Documentation

Reset Rate for Flow Control Key

Resets the rate configuration state for a specific flow-control key.
1 min read
post/v2/flowControl/{flowControlKey}/resetRate
Request example
Response
post/v2/flowControl/{flowControlKey}/resetRate

Rate configuration limits the number of messages delivered within a given time period for messages sharing the same flow-control key.

When the rate limit is reached, subsequent messages with the same flow-control key are placed in the waitlist and are not delivered until the next time period begins.

In some situations, you may want to immediately resume message delivery without waiting for the current period to expire. Resetting the rate configuration clears the current rate count and immediately ends the current period.

After the reset, the current timestamp becomes the start of the new rate period.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

flowControlKeystringrequired#
The flow-control key for which the rate state will be reset.

Responses

The rate state for the flow-control key has been reset.